Description

i had install foreman at eg https://0.0.0.0 here and after login the foreman if i hit the https://0.0.0.0/api/compute_resources in browser

it return json data but if i hit same url in my curl or ajax then it logout the whole system and return the error unable to authenticate

user.

How can i authenticate with ajax api .

Thanks

History

#1 - 01/05/2016 09:38 AM - Dominic Cleal

- Status changed from New to Feedback

- Priority changed from Urgent to Normal

Please don't keep opening issues, you already did at #13002.  As I said there, this also isn't a good method to get help.

The API supports HTTP basic authentication as shown at http://theforeman.org/manuals/1.10/index.html#5.1API.

#2 - 01/06/2016 02:17 AM - Parveen Saini

Dominic Cleal wrote:

Please don't keep opening issues, you already did at #13002. As I said there, this also isn't a good method to

 get help.

 
The API supports HTTP basic authentication as shown at http://theforeman.org/manuals/1.10/index.html#5.1API.

 Hello Dominic

i am using https://foremanUrl/api/compute_resources api to generate compute_resources in php,.Can you tell me how can i do this in PHP (any code

example)

Thanks for help me.

#3 - 01/06/2016 03:25 AM - Ohad Levy

As Dominic already stated, please do not use the bug tracker for this kind of requests, the more proper ways would be via the mailing list or irc.

#4 - 05/17/2017 11:15 AM - Anonymous

- Status changed from Feedback to Resolved
